peak.can

## Class TableDataRow

- java.lang.Object
- - peak.can.TableDataRow

-     public class TableDataRow
      extends java.lang.Object

  The TableDataRow class is a structure to store all provided info by a CAN Message

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableDataRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCounter()` Gets number of times the CAN Message was readed
    `byte[]` | `getMsgData()`
    `int` | `getMsgId()`
    `int` | `getMsgLength()`
    `java.lang.String` | `getMsgType()`
    `java.lang.String` | `getRcvTimeAsString()`
    `void` | `setCounter(int counter)` Sets number of times the CAN Message was readed
    `void` | `setMessage(TPCANMsg message)` Sets wrapped TPCANMsg
    `void` | `setMessage(TPCANMsgFD messageFd)` Sets wrapped TPCANMsgFD
    `void` | `setRcvTime(TPCANTimestamp rcvTime)` Sets wrapped TPCANTimestamp
    `void` | `setRcvTime(TPCANTimestampFD rcvTimeFd)` Sets wrapped TPCANTimestamp

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableDataRow

          public TableDataRow()

  - ### Method Detail

    - #### getCounter

          public int getCounter()

      Gets number of times the CAN Message was readed
      Returns:
        number of times

    - #### setCounter

          public void setCounter(int counter)

      Sets number of times the CAN Message was readed
      Parameters:
        `counter` -

    - #### setMessage

          public void setMessage(TPCANMsg message)

      Sets wrapped TPCANMsg
      Parameters:
        `message` - wrapped TPCANMsg

    - #### setMessage

          public void setMessage(TPCANMsgFD messageFd)

      Sets wrapped TPCANMsgFD
      Parameters:
        `messageFd` - wrapped TPCANMsgFD

    - #### setRcvTime

          public void setRcvTime(TPCANTimestamp rcvTime)

      Sets wrapped TPCANTimestamp
      Parameters:
        `rcvTime` - wrapped TPCANTimestamp

    - #### setRcvTime

          public void setRcvTime(TPCANTimestampFD rcvTimeFd)

      Sets wrapped TPCANTimestamp
      Parameters:
        `rcvTimeFd` - wrapped TPCANTimestamp

    - #### getMsgType

          public java.lang.String getMsgType()

    - #### getMsgLength

          public int getMsgLength()

    - #### getMsgId

          public int getMsgId()

    - #### getMsgData

          public byte[] getMsgData()

    - #### getRcvTimeAsString

          public java.lang.String getRcvTimeAsString()